Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Interface com.ibm.xml.parser.StreamProducer

Implementing Classes:
  SAXDriver, Stderr

public interface StreamProducer

An interface to be implemented in order to define the mechanisms for manipulating input streams. Typical sources of input streams include character streams, a byte streams, or URIs.

Version:
  1.1

Method Summary
void | closeInputStream(Source source) Interface to be implemented in order to remove the input stream currently in use.
Source | getInputStream(java.lang.String name, java.lang.String publicID, java.lang.String systemID) Interface to be implemented in order to return the source of the input stream (could be a character stream, a byte stream, or a URI) based on the entity specified by the system ID and/or public ID.

Method Detail

### getInputStream

    public Source getInputStream(java.lang.String name,
                                 java.lang.String publicID,
                                 java.lang.String systemID) throws java.io.IOException

  Interface to be implemented in order to return the source of the input stream (could be a character stream, a byte stream, or a URI) based on the entity specified by the system ID and/or public ID.
  Parameters:
    `name` - The name to be associated with the input stream. For example, this name could be the public ID of an external ID, or a local filename.
    `publicID` - Entity's public ID (see ExternalID for details).
    `systemID` - Entity's system ID (see ExternalID for details).
  Returns:
    The resolved source of the input stream.
  Throws:
    java.io.IOException - Thrown if unable to resolve the source of the input stream.
  See Also:
    ExternalID, closeInputStream, getInputStream, getInputStream

### closeInputStream

    public void closeInputStream(Source source)

  Interface to be implemented in order to remove the input stream currently in use.
  Parameters:
    `source` - Source of the input stream to be closed.
  See Also:
    getInputStream, getInputStream, getInputStream

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |